
package com.jeelowcode.core.framework.service;

import com.jeelowcode.core.framework.entity.DesformEntity;
import com.jeelowcode.core.framework.params.DesFormAddOrUpdateParam;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 表单设计器相关
 */
public interface IDesFormService extends IService<DesformEntity> {

    //保存
    Long saveDesForm(DesFormAddOrUpdateParam param);

    //修改
    void updateDesForm(DesFormAddOrUpdateParam param);

    //批量删除
    void removeByIds(List<Long> ids);
}
